Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1703822 - Cannot type into widget search box from the add widget panel, keyboard focus stuck on krunner search box.
Summary: Cannot type into widget search box from the add widget panel, keyboard focus ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kwayland-integration
Version: 29
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Blocks: KDEWaylandRelated
Depends On:
Blocks: KDEWaylandRelated
TreeView+ depends on / blocked
 
Reported: 2019-04-28 15:22 UTC by jeffj1101
Modified: 2019-11-27 23:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:32:24 UTC
Type: Bug
Embargoed:
jeffj1101: needinfo-


Attachments (Terms of Use)
Image of the bug (deleted)
2019-04-28 15:22 UTC, jeffj1101
jeffj1101: review+
Details

Description jeffj1101 2019-04-28 15:22:47 UTC
Created attachment 1559623 [details]
Image of the bug

Description of problem:

Cannot type data into the widget search box from right clicking the panel > panel options > Add Widget. The typed data goes into krunner search box even though the cursor blinks at the widget search box. This means no widget can be searched and added under a Kwin wayland session. 

Version-Release number of selected component (if applicable):
Operating System: Fedora 29
KDE Plasma Version: 5.14.5
Qt Version: 5.11.3
KDE Frameworks Version: 5.55.0
Kernel Version: 5.0.9-200.fc29.x86_64
OS Type: 64-bit
Processors: 4 × AMD Athlon(tm) X4 860K Quad Core Processor
Memory: 3.9 GiB of RAM

How reproducible:
100%

Steps to Reproduce:
1.Right click KDE desktop panel
2.Panel options
3.Add Widgets
4.Start typing into the widget search box. 

Actual results:
What is typed goes into the krunner search box instead of the widget search box. 

Expected results:
Typed query goes into the widget search box allowing user to select desired widget. 

Additional info:
kwin.x86_64 ver:5.14.5-1.fc29
plasma-workspace-wayland.x86_64 ver: 5.14.5.1-1.fc29

Blocks: KDEWaylandRelated

Comment 1 Strangiato 2019-10-12 13:01:13 UTC
known bug
https://bugs.kde.org/show_bug.cgi?id=369867

Comment 2 Ben Cotton 2019-10-31 18:46:35 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 23:32:24 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.